reparse

Recursive descent parsing library for ocaml
README

Reparse is an easy to learn and use parser combinator library for ocaml. It is
designed to aid authoring recursive descent style parsers. It removes the
tedium of having to maintain parser/lexer input buffer. It emphasises and
enables monadic style of writing parsers. As such the parser uses an error
type to denote errors in parsing rather than an exception.

Requirements

Reparse requires ocaml version 4.10.0.

Installation

$ opam install dune

API documentation

$ opam install odig 
$ odig doc reparse 

References

API function names broadly follow Angstrom library names.

Install
Published
03 Aug 2020
Maintainers
Sources
reparse-v1.0.2.tbz
sha256=0af692029328d051fb3929ecc8d0d8a6c298859ac6c15c822125172ee6feec59
sha512=73d62cd87a22c999e5d4518915982ee5dc061baa2c85d54d95539782f5dd5fe5151d9758b9ca10d749459f7cd5b2542bf5b362a79f42f4069a1a46ff85bc9192
Dependencies
Reverse Dependencies